Skip to content

Triggers a workflow execution.

Request

Trigger the execution of a valid workflow which is already registered.

Security
bearer
Path
workflow_namestringrequired

Specify the workflow Name to run.

Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/jsonrequired
executionContextobject
runIdstring

Optional. Run ID can be set explicitly by the user. If not set, the system will generate a run ID for the workflow run.

curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "executionContext": {
      "id": "string",
      "dataPartitionId": "string"
    },
    "runId": "string"
  }'

Responses

Workflow successfully triggered.

Bodyapplication/json
endTimeStampnumberread-only

End timestamp of the workflow run. Epoch timestamp.

runIdstringread-only

Run id for the workflow.

startTimeStampnumberread-only

Start timestamp of the workflow run. Epoch timestamp.

statusstring(status)

Task execution status

Enum:"submitted""running""failed""success"
submittedBystringread-only

System captured user details which triggered the run.

workflowIdstringread-only

Workflow id for the workflow.

Response
{ "endTimeStamp": 0, "runId": "string", "startTimeStamp": 0, "status": "submitted", "submittedBy": "string", "workflowId": "string" }